LINUX.ORG.RU

Помогу новичкам в освоении системы Linux

 ,


48

34

Так как я давно в Linux и когда у меня что-нибудь не удаётся, я всегда нахожу причину, решил помочь разбираться в Linux новичкам. А также предложил заняться тем же знакомым в Jabber (XMPP). Минимальный гуглинг перед задаванием вопроса строго приветствуется.

Наша комната чата (Jabber-конференция), доступна по адресу linux-support@conference.sigil.tk. Кто заходит в Jabber-конференцию первый раз, поясняю: то, что до символа @ вводить в поле Room, а то что после - в Server. Вебгейт для конференции: http://sigil.tk/jabber/.

С пользователями различных дистрибутивов Linux, имеющими длительный опыт работы в них, можно связаться по Jabber:

Debian/Ubuntu, Arch (Linux):
z00ke, crustycrab@izhnet.org / crustycrab@jabber.ru,
derlafff, derlafff@qip.ru - установка системы с помощью deboostrap, настройка multitouch,
Spirit_of_Stallman, root_master@jabber.ru.

Debian/Ubuntu, Gentoo (Linux):
Chaser_Andrey, chaser_andrey at jabber.ru,
leg0las, leg0las@jabber.com.ua.

Arch, Debian, Ubuntu (Linux) Server - post-factum, oleksandr@natalenko.name.

Debian Linux и LFS - TERRANZ, terranz@terranz.ath.cx.

Debian/Ubuntu (Linux):
Licwin, licwin@jabbim.com,
Darth_Revan, sor.alexei@hotbox.ru,
GNU-Ubuntu1204LTS, Ubuntu9.10@sibnsk.net.

openSUSE, Debian, Gentoo, Mandriva/Mageia/PClinuxOS (Linux) - я, Zenitur@jabber.ru.

Fedora, Ubuntu (Linux): ArtKun, artkun@guitarplayer.ru.

Fedora Linux:
Jayrome, jayrome@jabber.ru,
tekk, tekk@jabber.ru.

Red Hat Enterprise Virtualization: Канал #rhev IRC-сети FreeNode. По вопросам KVM, qemu, RHEV/oVirt и все что вокруг (сети, железо, СХД, планирование, миграция...) поможет dyasny.

Gentoo Linux:
geladil, geladil@sigil.tk,
Pinkbyte, мыло&jabber: admin собака pinkbyte.ru,
Nensha, Mi@nengraphy.com - Sabayon, Gentoo,
tiandrey, tiacorpo@gmail.com (e-mail и Jabber),
Tanger, tanger@jabber.mipt.ru - Gentoo, awesome.

Slackware, Arch (Linux): mopsene, mopsene@jabber.ru.

Arch, Lunar (Linux): neocrust, Jabber/Mail: neocrust@gmail.com.

Arch Linux:
bsdfun, dreamsoul@jabber.ru,
pztrn, pztrn@pztrn.ru,
DoctorSinus, doctorsinus@jabber.ru.

ВНИМАНИЕ: Этот топик не предназначен для задавания технических или иных вопросов и ответов на них, а также просьб о помощи. Впредь подобные сообщения будут удаляться.

По поводу пополнения данного списка - обращаться к модераторам

Перемещено DoctorSinus из talks

Ответ на: комментарий от geekless

Огромеенное спасибо - будем использовать =)

Огромеенное спасибо за скриптик - переименование поехало быстрее =)

mildok ()

muckl

он разве ещё не rip? jappix - получше будет

//залогинился

AGUtilities ★★★ ()

Запишите меня - foxmulder32@jabber.ru как гентушника.

Stage1 ★★ ()

archlinux, debian, slackware, gentoo, centos

nixtrian@jabber.ru

nixtrian ()

Поможем, чем сможем, омичам (ну можно и не омичам, но не злоупотребляйте ^__^). Мы здесь - в jabber-конфе:

omsklug@conference.jabber.ru

Ждём вас, нубы!

Омские линуксоиды.

linuxmaster ★★★★ ()

Неужели кто-то не может освоить Убунту?!

sorrymak ()

предлагаю совместное решение

объеденить Вашу идею с сайтом http://info-linux.ru Все о Linux Это не только информационный портал и форум, но и социальная сеть для людей, кому нравиться эта ОС, готов к совместным проектам

awful ()

OpenGL в Debian

Ставлю проприетарные драйвера для Radeon 6570 из репозитория - вроде бы все устанавливается c OpenGl (не смотрел особо выплыло сообщение - Hardware not support - пытался избавиться от него). Удаляю драйвера - ставлю проприетарные с сайта - OpenGl в настройках KInfo пишет что OpenGl не поддерживается. Щас удалил драйвера ставлю проприетарные - пишет необходимых утилит нет. Откуда эти утилиты брать? И как подключить OpenGL?

Crast ()

А тех. разделы зачем тогда? Ведь общение на тех. темы здесь наполняет интернеты полезными информациями.

IPR ★★★★★ ()

Я бы мог помочь привлекательным и похотливым начинающим пользовательницам, но, боюсь, такую банальную задачу решат и без меня.

Best-hokum_ever ()

Доброго вам понедельника =) Есть список ссылок, всего около 6к. Подскажите чем их можно загрузить, не вбивая каждую? Убунту 10.04

nubscull ()
Ответ на: комментарий от nubscull
wget -i файл_списка

или

wget -i файл_списка -P /директория/для/сохранения/

neocrust ★★★★★ ()

Снова нужна помощь =) sudo apt-get install python2.7 не находит пакет. То есть его нету в репозитории? Как узнать в каком он есть и установить?

nubscull ()
Ответ на: комментарий от nubscull

sudo apt-get install python2.7

А если попробовать

python_2.7
? Первое, что пришло в голову. По идее пакет должен быть в стандартных репах .

HerrWeigel ★★★★ ()
Ответ на: комментарий от HerrWeigel

«не удалось найти пакет python_2.7» Смотрел через Центр приложений Ubuntu, там нет, есть только 2.6

nubscull ()

Вопрос по дровам

у меня radeon 3650 agp и дрова gallium 0.4. Работают хорошо, но мне необходимо нормальное хардварное ускорение шейдеров. Официальных проприетарных дров насколько я понял нет. Но дрова legacy загружаются и дают картинку, а вот усокрения openGL никак. Стоит ли ламать нормально работающую систему ради более высокой скорости либо смириться с торможениями?

OpenMind ★★ ()
Ответ на: Вопрос по дровам от OpenMind

> Официальных проприетарных дров насколько я понял нет.

Есть. Напиши точную модель видеокарты, и я тебе напишу, какие версии ядра Linux и X-Server поддерживается этим драйвером последними. Таких драйверов уже три. А то я не разбираюсь в ATi/AMD и не знаю, является ли 3650 Radeon HD, или это Radeon просто. И ещё, лучше создать новую тему.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от ZenitharChampion

видяха powercolor radeon hd 3650 agp 512 mb:

OpenGL vendor string: X.Org OpenGL renderer string: Gallium 0.4 on AMD RV635 OpenGL version string: 2.1 Mesa 8.0.4 OpenGL shading language version string: 1.20 OpenGL extensions:

ядро: 3.6.1-1.fc17.x86_64

OpenMind ★★ ()
Ответ на: комментарий от OpenMind

Fedora 17 значит. На ядре Linux 3.5 я заставлял драйвер работать, а на 3.6 ещё не пробовал. Есть ли возможность установить ядро постарее, есть ли оно в репозитории дистрибутива? Потому что это единственная проблема для установки legacy-драйвера: X-Server 1.13 из Fedora 17 поддерживается.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

в федоре 2 прошлых ядра бекапятся. есть ещё 3.5.3 и 3.5.4. А что с 3.6 не так? Какое лучше?

OpenMind ★★ ()
Ответ на: комментарий от OpenMind

Лучше то, что новее. Но лично я пользуюсь ядром 2.6.37: драйверы всех моих устройств там есть. С Linux 3.6 проблема может оказаться в том, что проприетарный драйвер старой версии может не поддерживать его. Поищи в интернете патчи. Просто зайди на сайт amd, в выпадающем списке выбери свою видеокарту и систему, и скачай 100-мегабайтный run-файл. Он умеет вместо установки создавать RPM/DEB пакет. Правда в списке программы установки не перечислены все поддерживаемые дистрибутивы Linux, и для многих из них команду создания пакета приходится указывать из консоли. Но Fedora в списке кажется есть.

Если пакет создастся, установится и заработает, значит всё хорошо и устанавливать старое ядро не надо. Если нет - поищи в интернете патчи. Например в описании этого написано, что он добавляет поддержку ядра версии 3.7. Дело в том, что код некоторых частей драйвера открыт - несколько утилит и оболочка для закрытой части драйвера. Эта оболочка компилируется заново каждый раз при обновлении ядра Linux.

Команда проверки работоспособности драйвера - glxinfo. Direct Rendering должен быть Yes, а Vendor - AMD.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

а если на сайте amd нет установночного run-файла?

OpenMind ★★ ()
Ответ на: комментарий от ZenitharChampion

я так понимаю мне нужно загрузиться с соответствующим ядром? Какие-то манипуляции кроме установки делать нужно?

OpenMind ★★ ()
Ответ на: комментарий от OpenMind

Да нет. У модулей ядра есть информация о том, для какого они ядра. И если с модулями из ядра Linux всё понятно, компилируются вместе с ядром, то с проприетарными драйверами непонятно. Поэтому берут бинарный блок, и для него компилируют оболочку, которая намертво привязывается к ядру нужной версии. И готовый модуль от ядра 3.2.0 не запустится с ядром 3.3.0. А значит есть проблема: обновишь ядро - воучную обновляешь проприетарные драйверы.

В качестве решения этой проблемы придумали программу DKMS, программа пересобирает модуль ядра автоматически при установке нового ядра. В проприетарных драйверах, устанавливаемых из run-файла, появился только несколько недель назад у NVIDIA (хотя DKMS включен в состав дистроибутивов Linux уже лет 5), в ATi/AMD пока нет. Но все эти 5 лет мейнтейнеры пакетов с проприетарными драйверами разных дистрибутивов Linux регистрируют драйвер в этом DKMS.

Попробуй просто установить этот run-файл, но чтобы программа прописалась в менеджер пакетов выбери «Создать пакет», а не «Установить» в мастере установки. Без этого удалить конечно можно, но для этого нужно знать то, где находится файл fglrx-uninstall.sh. Затем устанавливай уже пакет RPM. Если при сборке модуля будет ошибка, или ошибка будет при загрузке системы с этим драйвером, ищи патчи. Один я уже нашёл (для ядра Linux версии 3.7).

Создавать /etc/X11/xorg.conf, я думаю, не нужно: драйвер ATi из RPM-ки добавляет открытый драйвер в чёрный список.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

знаю звучит по нубскому но мне всёже нужно знать. Вот сейчас я загрузился с 3.5.4 и если установлю этот дров тот он будет работать с этим ядром, в то время как с моим 3.6.1 будет грузиться открытый драйвер а закрытый будет в чёрном списке? или как? Каким образом я смогу откатиться до текущего работающего конфига или как его можно забекапить?

OpenMind ★★ ()
Ответ на: комментарий от OpenMind

Не будет. Есть каталог /lib/modules, там есть каталоги с модулями ядра (драйверами) разных версий. У меня только один каталог с ними, но было бы два ядра в системе, их было бы два. Если ты установишь драйвер ATi/AMD, используя исходные коды ядра 3.5, то с 3.6 драйвер работать не будет, система даже не будет знать что он есть. Но повторная установка добавит его и в этот каталог. И будет два файла модуля ядра в каталогах 3.5 и 3.6.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от OpenMind

А чёрный список задаётся для всей системы. В каталоге /etc/modprobe.d/ создаётся файл с содержанием «blacklist radeon». Поэтому ядро без драйвера ati/amd загрузит драйвер vesa, потому что оба драйвера с 2D и 3D ускорениями будут ему недоступны.

Но я могу и ошибаться. Я когда-то добавил в blacklist драйвер ath5k, вручную установив madwifi. Система скачала новое ядро и Wi-Fi спокойно работал с помощью ath5k, хотя я добавлял его в чёрный список.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Вобщем вот что я делаю на текущий момент: 1. Стаблю дрова из rpm с 3.5.4 ибо насколько я понял с ним работает, с 3.6 нет 2. пробую загрузиться. aticonfig --initial как советует устновщик. 3. пишу сюда что получилось

OpenMind ★★ ()
Ответ на: комментарий от ZenitharChampion

выдало:

Error! Bad return status for module build on kernel: 3.5.4-1.fc17.x86_64 (x86_64) Consult /var/lib/dkms/fglrx/8.97.100.3/build/make.log for more information. DKMS part of installation failed. Please refer to /usr/share/ati/fglrx-install.log for details

в логах:

Creating symlink /var/lib/dkms/fglrx/8.97.100.3/source -> /usr/src/fglrx-8.97.100.3

DKMS: add completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module: cleaning build area.... cd /var/lib/dkms/fglrx/8.97.100.3/build; sh make.sh --nohints --uname_r=3.5.4-1.fc17.x86_64 --norootcheck......(bad exit status: 1) [Error] Kernel Module : Failed to build fglrx-8.97.100.3 with DKMS [Error] Kernel Module : Removing fglrx-8.97.100.3 from DKMS

------------------------------ Deleting module version: 8.97.100.3 completely from the DKMS tree. ------------------------------ Done. [Reboot] Kernel Module : dracut [Message] Driver : End of installation

OpenMind ★★ ()
Ответ на: комментарий от ZenitharChampion

и ещё:

[root@server ~]# aticonfig --initial aticonfig: No supported adapters detected

OpenMind ★★ ()
Ответ на: комментарий от OpenMind

С 3.6 тоже может работать, просто с ним я не тестировал. А с 3.7 не работает точно, и патч для него выше.

А как ты устанавливаешь, sh amd-driver и так далее, или откуда-то из другого места?

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от OpenMind

Странная ошибка. А пакет dkms установлен в систему? Вообще dkms опционален, установщик мог просто пропустить этот шаг.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от OpenMind

Ну, можно попробовать. Скайп Zenitur, Jabber Zenitur@jabber.ru. Сейчас залогинюсь.

ZenitharChampion ★★★★★ ()

Впиши меня в этот список тоже. Внесу свой вклад, так сказать.

Zhbert ★★★★★ ()

ну и меня запиши:

Funtoo Linux, Awesome wm - rom@jabber.dk

science ★★☆ ()

внесу свою лепту:

openSUSE и Qt4 c++

mikedmorto гафгаф gmail.com

MikeDM ★★★★★ ()

отказы dcachesize еще и сервер взломали

Здравствуйте! Скажите пожалуйста на виртуальном сервере защкаливает dcachesize как с этим бороться и насколько это страшно?

И как можно защитить сервер - какие то паразиты залезли и в файлах .htaccess прописали свои ридеректы (с клоакингом) что я заметил это только когда антивирус стал блокировать сайт?

igor3310 ()
Ограничение на отправку комментариев: только для модераторов и автора